Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.utils
Class NotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.utils.NotFoundException

public final class NotFoundException
extends weblogic.utils.NestedException

The `NotFoundException` exception is thrown when the specified object does not exist. This exception typically contains a nested exception (returned from the entity attempting to locate the specified object) that provides more information about the underlying error.

Author:
  Copyright (c) 2003 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`NotFoundException(java.lang.String message)` Constructs a `NotFoundException` with the specified detail message.
`NotFoundException(java.lang.String message, java.lang.Throwable t)` Constructs an `NotFoundException` that specifies the detail message and the nested exception.
`NotFoundException(java.lang.Throwable t)` Constructs a `NotFoundException` that specifies the nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotFoundException

    public NotFoundException(java.lang.String message,
                             java.lang.Throwable t)

  Constructs an `NotFoundException` that specifies the detail message and the nested exception. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - a String providing additional information about this exception.

    `t` - the exception to be nested inside this exception.

### NotFoundException

    public NotFoundException(java.lang.Throwable t)

  Constructs a `NotFoundException` that specifies the nested exception.

  Parameters:
    `t` - the exception to be nested inside this exception.

### NotFoundException

    public NotFoundException(java.lang.String message)

  Constructs a `NotFoundException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - a String providing additional information about this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference